using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class Project : BaseEntity
    {
        public int ProjectId { get; set; }
        public string ProjectName { get; set; }

        //generic Id
        public override int GetEntityId() => ProjectId;

        //generic ToString()
        public override string ToString() => $"ProjectId: {GetEntityId()}; Name: {ProjectName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}